Skip to main content
GET
/
variables
/
{variableId}
Get a variable by id
curl --request GET \
  --url https://eu-cloudflare.vg-stuff.com/variables/{variableId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "data": {
    "id": "<string>",
    "in": "<string>",
    "type": "string",
    "value": "<unknown>",
    "defaultValue": "<unknown>",
    "key": "<string>",
    "description": "<string>",
    "required": true,
    "reusable": true,
    "isEnv": true,
    "isSystem": true,
    "isGlobal": true,
    "agentId": "<string>",
    "userId": "<string>"
  }
}
Returns full variable configuration including its current value and default value.
System variables (type: "system") provide built-in values like conversation ID or user info.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

variableId
string
required

Response

Successful response

success
boolean
required
message
string
required
data
object
required